require 'csv'

class Hermes::Admin::BorderingTownsController < Hermes::Admin::BaseController
  before_action :authorize_users
  before_action :check_adminrole
  rescue_from JSON::ParserError, with: :invalid_json

  def index
    query = {}
    ["insee_code", "name"].each do |p|
      query[p]= /#{::Regexp.escape(params[p]).accent_to_regexp}/i unless params[p].blank?
    end 
    @bordering_towns =  Hermes::BorderingTown.readable_by(current_user).where(query).paginate(:page => params[:page])

    @file = {name: 'test'} 
    respond_to do |format|
      format.html
      format.js
    end
  end

  def update_from_file
    file = params[:csv_file]

		unless file.nil?
      csv = CSV.parse(File.read(file.to_io), headers: true, col_sep:  "," )

      doc = Doc.create(
        responsible: current_user.id, 
        type: "file", 
        title: "Fichier de mise à jour des communes limitrophes #{Time.now}.csv",
        blob: csv.to_s,
      )

      UpdateBorderingTownsJob.perform_later(doc.id.to_s)

      flash[:success] = "Mise à jour de #{csv.length} communes en cours. Attention cette mise à jour est asynchrone."
      redirect_to admin_bordering_towns_path
		end 
  end


  def show; end

  private

end 