# frozen_string_literal: true

class Hermes::Api::Dmo::HousingOfferExpirationSettingsController < Hermes::Api::Dmo::ApplicationController
  before_action :authorize_administrator!
  set_instance_for %i[index show create update destroy]

  class << self
    def mutate_params
      {
        department: {type: 'String'},
        max_applicants: {type: 'Integer'},
        expiry_days: {type: 'Integer'},
        minimal_publication_days: {type: 'Integer'},
        lessor_id: {type: 'String'},
      }
    end 

    def acceptable_params
      {

      }.merge(self.mutate_params).merge(super)
    end 

    def valid_operators
      %w[$in $nin $ne $gt $gte $lt $lte $regex]
    end

    def regex_params
      {

      }
    end 
  end

  def index
    acceptable_params *self.class.acceptable_params.keys
    valid_operators *self.class.valid_operators
    super
  end

  def authorize_administrator!
    return render_json_error(:unauthorized, :not_admin) unless current_user_roles.include?('Administrator')
  end
end
