# frozen_string_literal: true

class AutoRequestValidationChangedJob < ActiveJob::Base
  queue_as :housing_request_entity_update
  unique :until_executed
  
  def perform(entity_id)
    Hermes::HousingRequest.where(is_active: true, entity_id: entity_id, :entity_validated.ne => true).batch_size(5).each do |hr|
      hr.update(entity_validated: true) 
    end 
  end
end
