# frozen_string_literal: true

class ExecuteFlux5TaskJob < ActiveJob::Base
 
  queue_as :exflux5job
  unique :until_executed

  def perform(id)
    o = Hermes::HousingOffer.find(id)
    unless o 
      Hermes::LogJob.add_to_queue(
        level: 'error', 
        housing_offer_id: id,
        code: "FLUX_5_ERROR_OFFER_NOT_FOUND", 
        action: "flux 5 housing_offer not found", 
        data: id
      )
    end

    so=Hermes::BoClient::AddOfferTask.new({:'housing_offer_id'=> id})
    o.send_xml(so)
  end
end
