# frozen_string_literal: true

module Hermes
  class NudProvider
    include Hermes::Concerns::CommonFieldsConcern

    field :department_codes, type: Array, default: []
    field :name, type: String
    field :url, type: String
    field :info_message, type: String

    writer_roles 'Superadmin', 'Administrator'
    reader_roles 'Manager'
    owner_field :user_id
    
    common_indexes *%i[
      department_codes
    ]

    attr_accessor :department_codes_text

    def department_codes_text
      self.department_codes.join(',')
    end

    def department_codes_text=(codes)
      self.department_codes = codes.split(',').map(&:strip)
    end
  end
end
